Subject: bug#46116: Acknowledgement (28.0.50; Ticking articles fails on Emacs 28 pgtk build)

From: Andrea Corallo <[email-masked]>
Date: Wed, 27 Jan 2021 20:37:50 +0000

Jonathan Corbet <[email-masked]> writes:

> On Wed, 27 Jan 2021 09:29:30 +0000
> Andrea Corallo <[email-masked]> wrote:
>
>> > So... Through the process of brute-force debugging, I found that simply
>> > pulling up a copy of gnus-sum.el and doing an eval-defun on
>> > gnus-summary-goto-subject makes the problem mysteriously go away.  This,
>> > in turn, makes me suspect that the native compilation is the real problem,
>> > and this is not a gnus issue at all.  Will try to pursue further;
>> > apologies for wasting your time.
>> >
>> > Thanks,
>> >
>> > jon  
>> 
>> This is a possible miscommunication.  Could you report the input of the
>> function when the miss-behave is observed? 
>
> Trying to determine that was how I found the workaround - putting in a
> (message) call made the problem go away.  The call, though, is from
> gnus-summary-mark-article:

Perhaps you can put the print just before the call instead of inside,
this will not effect the function we are interested.

>> 	(when (gnus-summary-goto-subject article nil t)
>> 	  (let ((inhibit-read-only t))
>> 	    (gnus-summary-show-thread)
>> 	    ;; Fix the mark.
>> 	    (gnus-summary-update-mark mark 'unread)
>> 	    t))))))
>
> I was able to examine the arguments before the call; "article" is an
> integer article number, as expected.

Do we have a self contained reproducer I can look into?

Thanks for the investigation

  Andrea